//+------------------------------------------------------------------+
//|                                                 Mn ATR-RAnge.mq4 |
//+------------------------------------------------------------------+
#property copyright "Mn"

#property indicator_chart_window

extern int mAtrPrd = 20,
           mTextSize = 10;
extern color mCol = LimeGreen;
extern ENUM_BASE_CORNER mCorn = CORNER_RIGHT_LOWER;
extern int xPosition = 10;
extern int yPosition = 10;
extern string UniqueID = "ATR-range1";
           
int mPipFact = 1;

//+------------------------------------------------------------------+
int init()
 { 
   ObjectCreate(UniqueID, OBJ_LABEL, 0, 0, 0, 0, 0);
   ObjectSet(UniqueID, OBJPROP_CORNER, mCorn);
   ObjectSet(UniqueID, OBJPROP_XDISTANCE, xPosition);
   ObjectSet(UniqueID, OBJPROP_YDISTANCE, yPosition);
   ObjectSetText(UniqueID, " ", mTextSize, "TimesNewRoman Bold", CLR_NONE);
   
   if(Digits == 3 || Digits == 5)
     mPipFact = 10;

  return(0); 
 }
 
//-----------------------------------------------+ 
int start()
 {
   color mTextCol;
   double mAtr, mRng;
   
   mAtr = iATR(NULL, 0, mAtrPrd, 0) / Point / mPipFact;
   mRng = (High[0] - Low[0]) / Point / mPipFact;
   
   ObjectSetText(UniqueID, "ATR " + DoubleToStr(mAtr, 1) + " : Rng " + DoubleToStr(mRng, 1)+" - Current range / ATR = "+DoubleToStr(mRng/mAtr,3), mTextSize, 
                  "Arial Bold", mCol);

  return(0);
 }
 
//-----------------------------------------------+
int deinit()
 {
  ObjectDelete(UniqueID);
  
  return(0);
 }

//-----------------------------------------------+


